<Input::ContainerGroup
  @isMainValue={{true}}
  @title={{@title}}
  @onSave={{this.save}}
  @onCancel={{@onCancel}}
  @onEdit={{@onEdit}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  as |editMode|
>
  {{#if editMode}}
    <Input::DataBinding::Type
      class='mb-3'
      @value={{this.type}}
      @onChange={{this.changeType}}
    />

    <Input::DataBinding::ConnectionInfo
      @type={{this.type}}
      @value={{this.config}}
      @onChange={{this.changeConfig}}
    />
  {{else}}
    {{#if this.isInvalid}}
      <div class='alert alert-danger' role='alert'>
        {{t 'message-alert-invalid-connection-info'}}
      </div>
    {{else}}
      <div>
        {{t 'type'}}:
        <strong class='text-connection-type'>{{@value.type}}</strong>
      </div>

      {{#each this.fields as |field|}}
        <div>
          {{field.name}}:

          {{#if field.isHidden}}
            <span class='text-value'>hidden</span>
          {{else}}
            <strong class='text-value'>{{field.value}}</strong>
          {{/if}}
        </div>
      {{/each}}
    {{/if}}
  {{/if}}
</Input::ContainerGroup>